Skip to Content
veriom

Sync repository connection

POST
/v1/workspaces/{workspace_id}/repository-connections/{connection_id}/sync

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
connection_id*Connection Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
account*Account
active*Active
base_url*Base Url
created_at*Created At
Formatdate-time
created_by*Created By
Formatuuid
credential_kind?Credential Kind

api_token: a pasted access token. oauth_app: connected through Veriom's OAuth app, refreshed by Veriom; reconnect it when last_error_code is repository_oauth_reconnect_required.

Default"api_token"
Value in"api_token""oauth_app"
has_credential?Has Credential
Defaulttrue
id*Id
Formatuuid
last_error_code*string|null
last_synced_at*|null
name*Name
provider*Provider
Value in"gitlab""bitbucket"
repository_count?Repository Count
Default0
workspace_id*Workspace Id
Formatuuid
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repository-connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/sync'
Example Response
{  "account": "string",  "active": true,  "base_url": "string",  "created_at": "2019-08-24T14:15:22Z",  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",  "credential_kind": "api_token",  "has_credential": true,  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "last_error_code": "string",  "last_synced_at": "2019-08-24T14:15:22Z",  "name": "string",  "provider": "gitlab",  "repository_count": 0,  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}